openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/DEQUEUE_ECRMCHKRUN:
    post:
      tags:
      - /1BCDWBEN/SEN0006
      summary: Release lock on object ECRMCHKRUN
      operationId: /rfc/DEQUEUE_ECRMCHKRUN
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CHKRUNID:
                  type: integer
                  format: int64
                  description: 03th enqueue argument
                ID:
                  type: string
                  maxLength: 10
                  description: 05th enqueue argument
                IDKIND:
                  type: string
                  maxLength: 1
                  description: 04th enqueue argument
                JOBCOUNT:
                  type: string
                  maxLength: 8
                  description: 07th enqueue argument
                JOBNAME:
                  type: string
                  maxLength: 32
                  description: 06th enqueue argument
                MODE_CRMCHKRUNJ:
                  type: string
                  default: E
                  maxLength: 1
                  description: Lock mode for table CRMCHKRUNJ
                OBJSETID:
                  type: integer
                  format: int64
                  description: 02th enqueue argument
                OBJSETKIND:
                  type: string
                  maxLength: 1
                  description: 01th enqueue argument
                X_CHKRUNID:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 03 with initial value?
                X_ID:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 05 with initial value?
                X_IDKIND:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 04 with initial value?
                X_JOBCOUNT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 07 with initial value?
                X_JOBNAME:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 06 with initial value?
                X_OBJSETID:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 02 with initial value?
                X_OBJSETKIND:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Fill argument 01 with initial value?
                _COLLECT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Initially only collect lock
                _SCOPE:
                  type: integer
                  format: int64
                  default: 3
                  description: Fill argument 07 with initial value?
                _SYNCHRON:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Synchonous unlock
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
